/**
 * 
 */
package com.google.code.jkippt;

import com.google.code.jkippt.http.APIClient;
import com.google.code.jkippt.http.ResourceEndpointUrlFactory;
import com.google.code.jkippt.parser.Parser;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public abstract class KipptEndpoint {
	
	protected APIClient client;
	protected Parser parser;
	protected ResourceEndpointUrlFactory endpointUrlFactory;
	
	/**
	 * @param client the API client to use.
	 * @param parser the parser to use.
	 * @param endpointName the endpoint name.
	 */
	public KipptEndpoint(APIClient client, Parser parser, String endpointName) {
		this.client = client;
		this.parser = parser;
		this.endpointUrlFactory = new ResourceEndpointUrlFactory(endpointName);
	}

}
