/**
 * 
 */
package com.google.code.jkippt.auth;

/**
 * HTTP Basic Auth authentication method.
 * @author Federico De Faveri defaveri@gmail.com
 */
public class HTTPBasicAuth implements Authentication {
	
	protected String username;
	protected String password;
	
	/**
	 * @param username
	 * @param password
	 */
	public HTTPBasicAuth(String username, String password) {
		this.username = username;
		this.password = password;
	}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("HTTPBasicAuth [username=");
		builder.append(username);
		builder.append(", password=");
		builder.append(password);
		builder.append("]");
		return builder.toString();
	}

}
