/**
 * 
 */
package com.google.code.jkippt.auth;

/**
 * Token API authorization method.
 * @author Federico De Faveri defaveri@gmail.com
 */
public class TokenAuth implements Authentication {
	
	protected String username;
	protected String apiToken;
	
	/**
	 * @param username
	 * @param apiToken
	 */
	public TokenAuth(String username, String apiToken) {
		this.username = username;
		this.apiToken = apiToken;
	}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @return the apiToken
	 */
	public String getApiToken() {
		return apiToken;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("TokenAuth [username=");
		builder.append(username);
		builder.append(", apiToken=");
		builder.append(apiToken);
		builder.append("]");
		return builder.toString();
	}

}
