/**
 * 
 */
package com.google.code.jkippt.http.paging;

import com.google.gson.annotations.SerializedName;

/**
 * The Meta area of a page.
 * @author Federico De Faveri defaveri@gmail.com
 */
public class Meta {
	
	protected String next;
	
	@SerializedName("total_count")
	protected int totalCount;
	
	protected String previous;
	protected int limit;
	protected int offset;
	
	protected Meta(){};
	
	/**
	 * @return the next
	 */
	public String getNext() {
		return next;
	}
	
	/**
	 * @return the totalCount
	 */
	public int getTotalCount() {
		return totalCount;
	}
	
	/**
	 * @return the previous
	 */
	public String getPrevious() {
		return previous;
	}
	
	/**
	 * @return the limit
	 */
	public int getLimit() {
		return limit;
	}
	
	/**
	 * @return the offset
	 */
	public int getOffset() {
		return offset;
	}
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Meta [next=");
		builder.append(next);
		builder.append(", totalCount=");
		builder.append(totalCount);
		builder.append(", previous=");
		builder.append(previous);
		builder.append(", limit=");
		builder.append(limit);
		builder.append(", offset=");
		builder.append(offset);
		builder.append("]");
		return builder.toString();
	}

}
