/**
 * 
 */
package com.google.code.jkippt.parser;

import com.google.code.jkippt.resource.Clip;
import com.google.gson.Gson;
import com.google.gson.JsonElement;
import com.google.gson.TypeAdapter;
import com.google.gson.TypeAdapterFactory;
import com.google.gson.reflect.TypeToken;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public class ClipAdapterFactory implements TypeAdapterFactory {

	@Override
	@SuppressWarnings("unchecked")
	public <T> TypeAdapter<T> create(Gson gson, TypeToken<T> type) {
		if (type.getRawType()!=Clip.class) return null;

		TypeAdapter<Clip> defaultAdapter = (TypeAdapter<Clip>) gson.getDelegateAdapter(this, type);
		TypeAdapter<JsonElement> jsonelementAdapter = gson.getAdapter(JsonElement.class);
		
		return (TypeAdapter<T>) new ClipAdapter(defaultAdapter, jsonelementAdapter);
	}

}
