/**
 * 
 */
package com.google.code.jkippt.parser;

import java.io.IOException;

import com.google.code.jkippt.resource.ClipList;
import com.google.gson.TypeAdapter;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonToken;
import com.google.gson.stream.JsonWriter;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 *
 */
public class ClipListAdapter extends TypeAdapter<ClipList> {
	
	protected TypeAdapter<ClipList> defaultAdapter;

	/**
	 * @param defaultAdapter
	 */
	public ClipListAdapter(TypeAdapter<ClipList> defaultAdapter) {
		this.defaultAdapter = defaultAdapter;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public void write(JsonWriter out, ClipList value) throws IOException {
		
		defaultAdapter.write(out, value);
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public ClipList read(JsonReader in) throws IOException {
		if (in.peek()==JsonToken.STRING) {
			in.skipValue();
			return null;
		}
		return defaultAdapter.read(in);
	}

}
