/**
 * 
 */
package com.google.code.jkippt.resource;

import com.google.gson.annotations.SerializedName;

/**
 * @author "Federico De Faveri defaveri@gmail.com"
 */
public class User extends ApplicationResource {
	
	protected String username;
	protected String bio;
	
	@SerializedName("avatar_url")
	protected String avatarUrl;
	protected String twitter;
	protected String github;
	
	@SerializedName("website_url")
	protected String websiteUrl;
	protected String fullname;
	protected String dribbble;
	protected Counts counts;
	
	@SerializedName("is_pro")
	protected boolean isPro;
	
	protected User(){}

	/**
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * @return the bio
	 */
	public String getBio() {
		return bio;
	}

	/**
	 * @return the avatarUrl
	 */
	public String getAvatarUrl() {
		return avatarUrl;
	}

	/**
	 * @return the twitter
	 */
	public String getTwitter() {
		return twitter;
	}

	/**
	 * @return the github
	 */
	public String getGithub() {
		return github;
	}

	/**
	 * @return the websiteUrl
	 */
	public String getWebsiteUrl() {
		return websiteUrl;
	}

	/**
	 * @return the fullname
	 */
	public String getFullname() {
		return fullname;
	}

	/**
	 * @return the dribbble
	 */
	public String getDribbble() {
		return dribbble;
	}

	/**
	 * @return the counts
	 */
	public Counts getCounts() {
		return counts;
	}

	/**
	 * @return the isPro
	 */
	public boolean isPro() {
		return isPro;
	}

	/** 
	 * {@inheritDoc} 
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("User [username=");
		builder.append(username);
		builder.append(", bio=");
		builder.append(bio);
		builder.append(", avatarUrl=");
		builder.append(avatarUrl);
		builder.append(", twitter=");
		builder.append(twitter);
		builder.append(", github=");
		builder.append(github);
		builder.append(", websiteUrl=");
		builder.append(websiteUrl);
		builder.append(", fullname=");
		builder.append(fullname);
		builder.append(", dribbble=");
		builder.append(dribbble);
		builder.append(", counts=");
		builder.append(counts);
		builder.append(", isPro=");
		builder.append(isPro);
		builder.append("]");
		return builder.toString();
	}

}
